<template>
		<el-dialog
				class="dialog-view-image"
				:visible="dialogvisible"
				append-to-body
				@close="$emit('update:dialogvisible', false)">
				<img :src="url" class="img-full"/>
		</el-dialog>

</template>
<script>
    export default {
        props: [ 'dialogvisible', 'imageUrl'],
        data() {
            return {
				url: ""
            };
        },
        methods: {
            getUrl(){
                return this.imageUrl;
			}
        },
		mounted(){

		},
        watch: {
            dialogvisible: function () {
				if(!this.dialogvisible){
				    this.url = "";
				}else {
				    this.url = this.getUrl();
				}

            }
        },

    }
</script>

<style lang="scss">
	.upload-img-outer{
		position: relative;
		.icon-img-close{

			position: absolute;
			top: 3px;
			right: 5px;
			padding: 3px;

			&:hover{
			}
		}
	}

</style>